org.eclipse.modisco.usecase.modelfilter.methodcalls.discoverer

## Class DiscoverMethodCallsModelFromJavaModel

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IFile>
    - - org.eclipse.modisco.usecase.modelfilter.methodcalls.discoverer.DiscoverMethodCallsModelFromJavaModel

All Implemented Interfaces:
  IDiscoverer<IFile>

    public class DiscoverMethodCallsModelFromJavaModel
    extends AbstractModelDiscoverer<IFile>

### Constructor Summary

Constructors
Constructor and Description
`DiscoverMethodCallsModelFromJavaModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IFile source)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoverMethodCallsModelFromJavaModel

    public DiscoverMethodCallsModelFromJavaModel()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IFile source)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `source` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.